# Uses of Enum Class
org.apache.solr.common.cloud.Replica.State

Packages that use Replica.State
Package
Description
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of Replica.State in org.apache.solr.client.solrj.request

Fields in org.apache.solr.client.solrj.request declared as Replica.State
Modifier and Type
Field
Description
`protected Replica.State`
CoreAdminRequest.WaitForState.`state`
Methods in org.apache.solr.client.solrj.request that return Replica.State
Modifier and Type
Method
Description
`Replica.State`
CoreAdminRequest.WaitForState.`getState()`
Methods in org.apache.solr.client.solrj.request with parameters of type Replica.State
Modifier and Type
Method
Description
`void`
CoreAdminRequest.WaitForState.`setState(Replica.State state)`

## Uses of Replica.State in org.apache.solr.common.cloud

Fields in org.apache.solr.common.cloud declared as Replica.State
Modifier and Type
Field
Description
`final Replica.State`
PerReplicaStates.State.`state`
Methods in org.apache.solr.common.cloud that return Replica.State
Modifier and Type
Method
Description
`Replica.State`
Replica.`getState()`
Returns the `Replica.State` of this replica.
`static Replica.State`
Replica.`getState(String shortName)`
`static Replica.State`
Replica.State.`getState(String stateStr)`
Converts the state string to a State instance.
`static Replica.State`
Replica.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Replica.State[]`
Replica.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.solr.common.cloud with parameters of type Replica.State
Modifier and Type
Method
Description
`Replica`
Replica.`copyWith(Replica.State state)`
Constructors in org.apache.solr.common.cloud with parameters of type Replica.State
Modifier
Constructor
Description
``
`Replica(String name, String node, String collection, String shard, String core, Replica.State state, Replica.Type type, Map<String,Object> props)`
``
`State(String replica, Replica.State state, Boolean isLeader, int version)`
``
`State(String replica, Replica.State state, Boolean isLeader, int version, PerReplicaStates.State duplicate)`